Subject: Re: bug#54296: Add buffer-matching functionality

From: martin rudalics <[email-masked]>
Date: Wed, 9 Mar 2022 21:34:19 +0100

>> Either way I would consider these functions useful and would have wanted
 >> to use them in my own code many times before.  While difficult, it might
 >> also be useful for things like display-buffer-alist (the issue is that
 >> a function as a condition in display-buffer-alist has to accept two
 >> arguments, while the proposed patch only takes one).
 >
 > Hm...  how would this be used with display-buffer-alist, then?  (And
 > perhaps Martin has some comments; added to the CCs.)

Either add an optional second argument to 'buffer-match' or add to
'display-buffer-alist' an entry that uses a function as condition that
calls 'buffer-match' with the first argument and returns non-nil if
'buffer-match' reports a match.  I see no issue here.

martin